* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.login-main{
    color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.3s ease, color 0.3s ease;
} 

.login-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    width: 100%;
    max-width: 400px;
    transition: background-color 0.3s ease, color 0.3s ease;
}


.login-title {
    text-align: center;
    margin-bottom: 20px;
    font-size: 24px;
    color: #333;
}

.login-form {
    display: flex;
    flex-direction: column;
}

.login-container label {
    margin-bottom: 8px;
    font-size: 14px;
    color: #333;
}

.login-container input {
    padding: 12px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    transition: background-color 0.3s ease, color 0.3s ease;
}
.login-container input:hover{
    background-color: #ccc;
}

.login-container input::placeholder {
    color: #999;
}

.login-container button {
    padding: 12px;
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.login-container button:hover {
    background-color: #555;
}

.dark-mode-toggle {
    text-align: center;
    margin-top: 20px;
}

.dark-mode-toggle label {
    font-size: 14px;
    cursor: pointer;
}

/* Dark mode styles */
body.dark-mode {
    background-color: #121212;
    color: #ccc;
}

body.dark-mode .login-container {
    background-color: #333;
    color: #fff;
    box-shadow: 0 2px 10px rgba(255, 255, 255, 0.2);
}

body.dark-mode .login-form input {
    background-color: #444;
    color: #fff;
    border: 1px solid #555;
}

body.dark-mode button {
    background-color: #fff;
    color: #333;
}

@media (max-width: 600px) {
    .login-container {
        padding: 15px;
    }

    .login-title {
        font-size: 20px;
    }

    .login-container input, button {
        font-size: 14px;
        padding: 10px;
    }
}
